function print_bdatas(bdatas,varargin)
  %
  p = inputParser;
  p.KeepUnmatched=true; 
  p.PartialMatching=false;
  p.addParamValue('fprintf',@(varargin) fprintf(varargin{:}));
  p.addParamValue('format','',@ischar);
  p.addParamValue('nlabels',[]);
  p.parse(varargin{:});
  Fprintf=p.Results.fprintf;
  format=p.Results.format;
  nlabels=p.Results.nlabels;
  %
  n=length(bdatas);
  if isempty(format) && isempty(nlabels)
    line='';
    for i=1:n
      %if ~Datas(i).debug ||  ( Datas(i).debug && Debug)
        vs=sprintf(bdatas{i}.sformat,bdatas{i}.value);
        vs=[repmat(' ',1,bdatas{i}.strlen-length(vs)),vs];
        line=[line,vs];
      %end
    end
    Fprintf('%s\n',line);
    return
  end
  if ~isempty(format)
    Fprintf(format,bdatas{:}.value);
    return
  end
  line='';
  for i=1:n
    vs=strtrim(sprintf(bdatas{i}.sformat,bdatas{i}.value));
    vs=[repmat(' ',1,nlabels(i)-length(line)-length(vs)),vs];
    line=[line,vs];
  end
  Fprintf('%s\n',line);
end
