function [q,me]=RefElement(d,order,varargin)
% 
  p = inputParser; 
  p.addParamValue('type','simplex', @(x) ismember(lower(x),{'simplex','orthotope'}));
  p.parse(varargin{:});
  R=p.Results;
  q=fc_hypermesh.CG.points(order*ones(1,d))/order;
  if strcmp(lower(R.type),'simplex')
    I=find(sum(q,1)<=1);
    q=q(:,I);
  end
  me=[1:size(q,2)]';
end
