function plotmesh3Ds(distribute)
  if nargin==0, distribute=true;end
  close all % :start:
  [q2,me2,toGlobal2]=fc_meshtools.simplicial.getMesh3Ds(2);
  [q1,me1,toGlobal1]=fc_meshtools.simplicial.getMesh3Ds(1);
  [q0,me0,toGlobal0]=fc_meshtools.simplicial.getMesh3Ds(0);
  figure(1)
  fc_graphics4mesh.plotmesh(q2,me2,'EdgeColor','blue','FaceColor','None', 'DisplayName','2-simplex')
  hold on
  fc_graphics4mesh.plotmesh(q1,me1,'color','black', 'Linewidth',2, 'DisplayName','1-simplex')
  fc_graphics4mesh.plotmesh(q0,me0,'color','red','DisplayName','0-simplex')
  view(3);axis image
  legend show
  P=fc_tools.graphics.PlaneCoefs([0 0 1/2], [0 0 1]);
  figure(2)
  fc_graphics4mesh.plotmesh(q2,me2,'EdgeColor','blue','FaceColor','None', 'cutPlane',P)
  hold on
  fc_graphics4mesh.plotmesh(q1,me1,'color','black', 'Linewidth',2,'cutPlane',P)
  fc_graphics4mesh.plotmesh(q0,me0,'color','red','cutPlane',P)
  view(3);axis image  % :end:
  if distribute,fc_tools.graphics.monitors.autoGrid();end
end 
