function plotnodes3Ds(distribute)
  if nargin==0, distribute=true;end
  close all % :start:
  [q2,me2,toGlobal2]=fc_meshtools.simplicial.getMeshArrays('3Ds',2,true);
  [q1,me1,toGlobal1]=fc_meshtools.simplicial.getMeshArrays('3Ds',1,true);
  figure(1)
  fc_graphics4mesh.plotmesh(q2,me2,'EdgeColor','k','FaceColor','LightGray', 'FaceAlpha',0.1)
  hold on
  fc_graphics4mesh.plotnodes(q2,'MarkerSize',15)
  view(3);axis image;axis off
  
  figure(2)
  fc_graphics4mesh.plotmesh(q2,me2,'Color','LightGray')
  hold on
  fc_graphics4mesh.plotmesh(q1,me1,'Color','k')
  fc_graphics4mesh.plotnodes(q1,'Color','r','MarkerSize',10,'Marker','*')
  view(3);axis image;axis off % :end:
  if distribute,fc_tools.graphics.monitors.autoGrid();end
end
